#!/usr/bin/env node

const {genThirdPartyComponentsXml} = require('./index.js');

async function main() {
  try {
    let upToDate = await genThirdPartyComponentsXml();
    if (!upToDate) {
      console.error('The `third-party-components.xml` file is not up to date. ' + 
        'Please review newly draft entries that were already added or remove components that aren`t used any more from `third-party-components.xml` and then don`t forget to commit the file.');
      process.exit(1);
    }
  } catch (e) {
    console.error(e);
    process.exit(1);
  }
}

main();

